PETSc version 3.15.5
Fix/Edit manual page

# SNESConvergedReasonViewFromOptions

Processes command line options to determine if/how a SNESReason is to be viewed. All the user-provided convergedReasonView routines will be involved as well, if they exist.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESConvergedReasonViewFromOptions(SNES snes)

Collective on SNES

### Input Parameters

| snes | - the SNES object

### See Also

SNESCreate(), SNESSetUp(), SNESDestroy(), SNESSetTolerances(), SNESConvergedDefault(), SNESGetConvergedReason(), SNESConvergedReasonView()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages